import { ZdPage } from '@zeedhi/vue';

const routes = [
  {
    path: '/auth/login',
    name: 'login',
    component: ZdPage,
    props: {
      path: 'login',
      local: true,
    },
  },
  {
    path: '/',
    name: 'home',
    component: ZdPage,
    props: {
      path: 'home',
      local: true,
    },
  },
  {
    path: '/dashboard',
    name: 'dashboard',
    component: ZdPage,
    props: {
      path: '/dashboard/dashboard',
      local: true,
    },
  },
  {
    path: '/billingComparison',
    name: 'Billing Comparison',
    component: ZdPage,
    props: {
      path: '/billing/BillingComparison',
      local: true,
    },
  },
  {
    path: '/billingComparisonDetail',
    name: 'Billing Comparison Detail',
    component: ZdPage,
    props: {
      path: '/billing/BillingComparisonDetail',
      local: true,
    },
  },
  {
    path: '/logCallbackCertisign',
    name: 'logCallbackCertisign',
    component: ZdPage,
    props: {
      path: '/CallbackCertisign/logCallbackCertisign',
      local: true,
    },
  },
  {
    path: '/modules/:module/:page',
    name: 'microservice',
    component: () => import('../views/Microservice.vue'),
  },
  {
    path: '*',
    component: ZdPage,
    props: {
      path: 'notfound',
      local: true,
    },
  },
];

export default routes;
